<?php
/**
 * @package Helix3 Framework
 * @author JoomShaper https://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2021 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
*/
//no direct accees
defined ('_JEXEC') or die('resticted aceess');

class Helix3FeatureContact {

	private $helix3;

	public function __construct($helix3){
		$this->helix3 = $helix3;
		$this->position = $this->helix3->getParam('contact_position');
	}

	public function renderFeature() {

		if($this->helix3->getParam('enable_contactinfo')) {

			$output = '<ul class="sp-contact-info">';

			if($this->helix3->getParam('contact_text')) $output .= '<li class="sp-contact-text">'. $this->helix3->getParam('contact_text') . '</li>';

			if($this->helix3->getParam('contact_phone')) $output .= '<li class="sp-contact-phone"> <p class="tel">' . $this->helix3->getParam('contact_phone') . '</p></li>';

			if($this->helix3->getParam('contact_email')) $output .= '<li class="sp-contact-email"> <a href="mailto:'. $this->helix3->getParam('contact_email') .'">' . $this->helix3->getParam('contact_email') . '</a></li>';

			$output .= '</ul>';

			return $output;
		}
	}    
}